> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get internal account by id

> Returns an internal account by id




## OpenAPI

````yaml openapi.json get /internal_accounts/{internal_account_id}
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 0.207.0
servers:
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v0
  - description: Production
    url: https://api.synctera.com/v0
security:
  - bearerAuth: []
tags:
  - description: Lookup merchant information
    name: Merchants
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Account programs define configurations for payment rails and transaction
      capabilities across different account types.
    name: Account Programs
  - description: Simulate receiving ACH transactions and returns
    name: ACH Transaction Simulations
  - description: Requests for risk evaluation and decisioning
    name: Risk Evaluations
  - description: Requests to link and manage External Cards
    name: External Cards
  - description: |
      The disclosures resource is used to track the status of disclosures and
      ensure that all parties have been shown the necessary disclosures to meet
      regulatory obligations.
    name: Disclosures
  - description: Create and manage Cash Order and Cash Deposit transfers
    name: Cash Orders and Deposits (alpha)
  - description: Requests to initiate customer verification.
    name: KYC Verification (deprecated)
  - description: Request to create and manage users
    name: Users
  - description: See balance history
    name: BalanceHistory
  - description: >-
      Migration mappings associate resources from an old tenant identity with a
      new tenant identity.
    name: Migration Mappings
  - description: |
      The External Account resource is used for managing links to accounts
      that operate outside of the Synctera ecosystem.
    name: External Accounts
  - description: Requests to create and manage account products, including fees, interest.
    name: Account Products
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Create and manage documents.
    name: Documents
  - description: >-
      Create and manage same currency and multi-currency international wire
      transfers
    name: International Wires (alpha)
  - description: Requests for transaction risk detection
    name: Transaction risk
  - description: >-
      Used to configure bank accounts for which synctera accounts are considered
      a "subledger" to
    name: Bank Account
  - description: Request to create and manage party groups and party group members
    name: Party Groups
  - description: Requests to manage addresses
    name: Addresses
  - description: Requests to manage monitoring subscriptions and alerts for customers.
    name: Monitoring
  - description: Requests to search and manage compliance searches
    name: Compliance Searches
  - description: Requests to create and manage customers
    name: Customers
  - description: |
      The internal account resource is used for managing links to internal
      accounts where the funds are managed by integrators.
    name: Internal Accounts
  - description: Create and manage spending controls
    name: Spend Controls
  - description: Retrieve user identity information
    name: Identity
  - description: Requests to manage banks
    name: Banks
  - description: |
      The Disclosures resource is used to track the status of disclosures and
      ensure that customers have been shown the necessary disclosures to meet
      regulatory obligations.
    name: Disclosures (deprecated)
  - description: Create and manage wire transfers
    name: Wires
  - description: Requests to issue and manage Cards
    name: Cards
  - description: Request to create and manage edd
    name: Trust
  - description: Request to enroll, renew, or cancel watchlist monitors
    name: Watchlist (deprecated)
  - description: Endpoints for modifying or fetching posting dates
    name: Posting Dates
  - description: Transaction lines API
    name: transactions
  - description: Request to create and manage accounts
    name: Accounts
  - description: Requests to create and manage notes
    name: Notes
  - description: Account Template
    name: Account Templates
  - description: API for effective balances
    name: effective_balances
  - description: Requests to create and manage personal ID configurations
    name: Personal ID Configuration
  - description: >
      A natural person (individual human) that is relevant to the Synctera
      platform in some way: e.g. a personal customer or a director/officer/owner
      of a business.
    name: Persons
  - description: >
      Represents the relationships between parties. A relationship can exist
      between personal customers, business customers, or non-customer
      persons/organizations.
    name: Relationships
  - description: >
      A legal entity (corporation, partnership, etc.) that is relevant to the
      Synctera platform in some way: a business customer or some other
      organization that has an ownership share in such a business customer.
    name: Businesses
  - description: Request to create and manage payment_schedules
    name: Cronut
  - description: Requests to manage partners
    name: Partners
  - description: Request to create and manage deposits using remote deposit capture
    name: Remote Check Deposit
  - description: Requests to create and manage API keys
    name: API Keys
  - description: Requests to create and manage ban rules
    name: Ban Rules
  - description: Admin API for Middesk configuration using the tenants API keys.
    name: Middesk
  - description: Request to create and manage exclusions
    name: Stately
  - description: Request to create and manage partner configurations
    name: Quickstart
  - description: Manage contacts for bank and fintech partners
    name: Contacts
  - description: Create and manage transactions
    name: Transactions
  - description: Request to create and manage rdc configurations
    name: RDC Config
  - description: Create and manage holds
    name: Hold
  - description: Requests to create and manage roles
    name: Roles
  - description: Simulate receiving Wire transactions and returns
    name: Wire Transaction Simulations
  - description: Requests to create licenses
    name: Licenses
  - description: Requests to Admins to grant permissions to user
    name: Request Permissions
  - description: Configure vendor secrets for egress requests
    name: Egress Gateway Vendor Secret CRUD API
  - description: Requests to screen parties against sanctions watchlists
    name: Sanctions Screening
  - description: Create and manage payments
    name: ACH
  - description: Requests to calculate and manage CRR
    name: CRR
  - description: Requests to search financial institutions
    name: Institutions (Beta)
  - description: Create and manage tenant configurations
    name: Tenant Configs
  - description: Create and manage sweep configurations
    name: Configs
  - description: >
      Represents the compliance rules that are used to verify certain kinds of
      money movement.
    name: Compliance Rules
  - description: Configure webhook secrets for egress requests
    name: Egress Gateway Webhook Secret CRUD API
  - description: Create and manage transactions
    name: Transactions (internal)
  - description: History
    name: History
  - description: Create and manage EFT Canada transfers
    name: EFT Canada (Beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Requests to initiate customer verification.
    name: KYC/KYB Verifications
paths:
  /internal_accounts/{internal_account_id}:
    summary: Internal Accounts
    get:
      tags:
        - Internal Accounts
      summary: Get internal account by id
      description: |
        Returns an internal account by id
      operationId: getInternalAccounts
      parameters:
        - $ref: '#/components/parameters/internal_account_id_path'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_account_response'
          description: Internal Account
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    internal_account_id_path:
      description: Unique identifier for the internal account.
      in: path
      name: internal_account_id
      required: true
      schema:
        example: 7d943c51-e4ff-4e57-9558-08cab6b963c7
        format: uuid
        type: string
  schemas:
    internal_account_response:
      allOf:
        - properties:
            tenant:
              $ref: '#/components/schemas/tenant_id'
        - $ref: '#/components/schemas/internal_account'
      type: object
    tenant_id:
      description: >
        The id of the tenant containing the resource. This is relevant for
        Fintechs that have multiple workspaces.
      example: abcdef_ghijkl
      type: string
    internal_account:
      properties:
        account_number:
          description: Generated internal account number
          readOnly: true
          type: string
        account_type:
          $ref: '#/components/schemas/internal_account_type'
        balances:
          description: A list of balances for internal account based on different type
          items:
            $ref: '#/components/schemas/balance'
          readOnly: true
          type: array
        bank_account_id:
          description: >
            The ID of the bank account associated with this internal account. It
            will be auto-filled if the account type has only one matching bank
            account in the system.
          format: uuid
          type: string
        bank_routing:
          description: Bank routing number
          maxLength: 9
          readOnly: true
          type: string
        creation_time:
          description: The date and time the resource was created.
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        currency:
          description: >-
            Account currency or account settlement currency. ISO 4217 alphabetic
            currency code.
          example: USD
          pattern: ^[A-Z]{3}$
          type: string
        description:
          description: A user provided description for the current account
          type: string
        gl_type:
          description: >
            What type of general ledger account this internal account
            represents.
          enum:
            - ASSET
            - EXPENSE
            - LIABILITY
            - REVENUE
          type: string
        id:
          description: Generated ID for internal account
          format: uuid
          readOnly: true
          type: string
        is_system_acc:
          default: false
          description: >-
            Is a system-controlled internal account. When this field is true,
            this internal account will be reserved exclusively for internal use
            by the Synctera platform and any internal transfers to or from this
            internal account will be declined.
          type: boolean
        last_updated_time:
          description: The date and time the resource was last updated.
          example: '2010-05-06T12:23:34.321Z'
          format: date-time
          readOnly: true
          type: string
        purpose:
          $ref: '#/components/schemas/internal_account_purpose'
        skip_sweeps:
          description: >
            Indicates if transactions of this internal account should be skipped
            by our sweeps system.
          type: boolean
        status:
          enum:
            - ACTIVE
          type: string
      required:
        - currency
        - status
      type: object
    error:
      description: >-
        Synctera error responses in API v0 follow [RFC
        7807](https://datatracker.ietf.org/doc/html/rfc7807). Following that
        standard, the field for a machine-readable "error code" in API v0 is
        `type`.

        In our future API v1, we are phasing out RFC 7807 and adopting a custom
        error format. That format will be documented in our API v1 spec. But you
        may see some v0 error responses with a machine-readable `code` field
        while we are making the transition from v0 to v1.
      properties:
        code:
          description: >-
            An optional “sneak preview” of our future API v1 error responses.
            This is provided to give integrators a chance to work with our
            future error codes. Error codes for the same error may change
            between v0 and v1.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'missing required fields: first_name, dob'
          type: string
        status:
          description: the HTTP status code for this response
          example: 400
          type: integer
        title:
          description: >
            A human-readable string for this general category of error, which
            corresponds 1-to-1 with error types (`title` is the human-readable
            version of `type`). There can be multiple distinct titles for the
            same HTTP status code, and the same `title` can result in many
            different `detail` strings.

            This field will be removed in API v1.
          example: Bad Request Body
          type: string
        type:
          description: >
            A machine-readable string that identifies the error for programmatic
            use. This is a URI, i.e. a globally unique identifier. It is _not_
            necessarily a URL, so do not expect it to resolve to a web page. You
            can use this whole string as an error code, or just everything after
            the last slash.

            This field will be removed in API v1.
          example: https://dev.synctera.com/errors/bad-request-body
          type: string
      title: Standard error response (RFC 7807 problem report)
      type: object
    internal_account_type:
      description: type associated with the internal account.
      enum:
        - ACH_SETTLEMENT
        - ACH_SUSPENSE
        - ALLOCATED_SUSPENSE
        - BANK_DRAFT
        - BILLING_EXPENSE
        - BILLING_REVENUE
        - CARD_AFT_PREFUNDING
        - CARD_OCT_SETTLEMENT
        - CARD_SETTLEMENT
        - CASH_SETTLEMENT
        - CASH_SUSPENSE
        - CHECK_SETTLEMENT
        - DISPUTE_WRITE_OFF_PNL
        - EFT_CA_SETTLEMENT
        - EFT_CA_SUSPENSE
        - EXTERNAL_CARD_AFT_SETTLEMENT
        - EXTERNAL_CARD_OCT_SETTLEMENT
        - FEDNOW_SETTLEMENT
        - FEES
        - FRAUD_LOSSES
        - FUNDING_ACCOUNTS
        - GENERAL_PNL
        - INTEREST_PAYOUT
        - INTERNATIONAL_WIRE_SETTLEMENT
        - IN_STORE_CASH_SETTLEMENT
        - LOC_INTEREST_INCOME
        - LOC_INVESTOR_PORTFOLIO
        - LOC_REPURCHASE
        - MONEY_IN_AND_OUT
        - NEGATIVE_BALANCE
        - NETWORK_ADJUSTMENT
        - NETWORK_CHARGEBACK
        - NEW_FUNDING_ACCOUNT
        - PROVISIONAL_CREDIT_PNL
        - RESERVE
        - REWARDS
        - SC_INVESTOR_PORTFOLIO
        - SC_REPURCHASE
        - SYNCTERA_PAY_SUSPENSE
        - USC_INTEREST_INCOME
        - USC_INVESTOR_PORTFOLIO
        - USC_REPURCHASE
        - WIRE_SETTLEMENT
        - WIRE_SUSPENSE
        - WRITE_OFF
      type: string
    balance:
      properties:
        balance:
          description: balance in ISO 4217 minor currency units. Unit in cents.
          example: 2399
          format: int64
          readOnly: true
          type: integer
        type:
          $ref: '#/components/schemas/balance_type'
      required:
        - balance
        - type
      type: object
    internal_account_purpose:
      description: >-
        The purpose of the internal account. On creation, the default is
        PROFIT_AND_LOSS.
      enum:
        - CORE
        - PROFIT_AND_LOSS
        - RESERVE
        - SETTLEMENT
        - SUSPENSE
        - TREASURY
      type: string
    balance_type:
      description: >
        * `ACCOUNT_BALANCE`: The posted balance of the account. For a banking
        account, e.g.
          `CHECKING` or `SAVING`, this is a measure of the sum of credits minus debits for all
          posted transactions. For a lending account, e.g. `CHARGE_SECURED` or `LINE_OF_CREDIT`,
          this is a measure of the sum of debits minus credits for all posted transactions. This
          value can be negative.

        * `AVAILABLE_BALANCE`: The available balance of the account, which is
        the amount available
          to spend, or the spending power. For a banking account, e.g. `CHECKING` or `SAVING`, this
          is a measure of the account balance minus any pending debits. For an unsecured lending
          account, e.g. `CHARGE_UNSECURED` or `LINE_OF_CREDIT`, this is a measure of available
          credit, which is its credit limit minus the account balance, minus any pending debits.
          For a `CHARGE_SECURED` account, it equals the `AVAILABLE_BALANCE` of the linked
          security account. This value will never be negative.

        * `ACCRUED_INTEREST_MTD`: The amount of accrued but unposted interest.
        This value may
          fluctuate, as new transactions can affect interest amounts. Treat accrued interest as
          pending for the billing month until it is posted at the end of the billing period.

        * `PAYMENTS_RECEIVED_MTD`: The amount of payment received to date for
        the billing month.
      enum:
        - ACCOUNT_BALANCE
        - ACCRUED_INTEREST_MTD
        - AVAILABLE_BALANCE
        - PAYMENTS_RECEIVED_MTD
      type: string
  responses:
    unauthorized:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden error
    internal_server_error:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````